Bug 24806 - Оперативаная память >= 4ГБ
: Оперативаная память >= 4ГБ
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/installer)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-12-23 13:21 by
Modified: 2011-10-05 14:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-12-23 13:21:52
Было бы неплохо, если бы установщик при обнаружении RAM >= 4GB ставил std-pae
ядро вместо std-def, чтобы избавится от вопросов «А куда давалась память?».
------- Comment #1 From 2010-12-24 13:42:04 -------
Вообще-то это уже реализовывалось, осталось вспомнить, где.
В любом случае нужна поддержка и в профиле, чтоб std-pae вошло в iso.

Вы на каком именно образе не получили желаемого эффекта?
------- Comment #2 From 2010-12-24 13:47:59 -------
Бета 6.0.0 Desktop KDE 2010.11.18
------- Comment #3 From 2010-12-24 14:10:03 -------
2 zerg: не помнишь, что там с авто-pae было? (у меня в терминальнике вроде
прибитое гвоздями только было)
------- Comment #4 From 2010-12-24 14:15:17 -------
Есть подозрение что в *.iso файле kdesktop нет pae ядра, проверить не могу
------- Comment #5 From 2010-12-24 14:28:54 -------
Просмотрел *.iso kdesktop на предмет pae — безуспешно (да и в Кентавре (правда
20101118) тоже не наблюдается.
------- Comment #6 From 2010-12-24 14:36:34 -------
Я уже видел в рассылках несколько проблем с std-pae: nvidia, reiserfs точно
помню.

2 Mike:
Там есть какой-то профиль kernel-pae, но не пробовал ни разу.
К тому же, собираюсь перейти на el-smp.
------- Comment #7 From 2010-12-28 16:39:44 -------
Новая бета KDesktop с el-smp, которое с PAE
------- Comment #8 From 2011-09-12 11:56:23 -------
KDesktop 6.0 не умеет.
------- Comment #9 From 2011-09-12 14:48:59 -------
Я PAE ставить не хочу. Дополнительные глюки гарантированы.
------- Comment #10 From 2011-09-12 14:58:12 -------
Не знаю о каких глюках идёт речь — я до недавнего имел постоянную прописку
Sisyphus/PAE и не встречал глюков, которые нельзя было бы воспроизвести на
std-def.
------- Comment #11 From 2011-09-12 15:51:10 -------
А почему не x86_64 тогда?
------- Comment #12 From 2011-09-12 17:17:38 -------
Наверно мешает стереотип, что для линукс десктопа с x86_64: «выгода» <<
«глюки».
------- Comment #13 From 2011-09-12 18:28:41 -------
Ну, я уже созрел (на конторе, кажется, все десктопы 64-битные изначально и за
эти несколько лет стереотип повывелся).
------- Comment #14 From 2011-09-15 12:08:15 -------
Ну вот я тоже созрел, пересел на x86_64. И как сюда Acrobat Reader поставить?
Поделитесь опытом, Михаил.(Аналоги не предлагать).
------- Comment #15 From 2011-09-15 14:25:31 -------
(В ответ на комментарий №14)
> пересел на x86_64. И как сюда Acrobat Reader поставить?
Запустив его установку, потом программу из эмулятора терминала наблюдать, на
недостаток каких библиотек он ругается, устанавливая `apt-get install
i586-libпакет` для каждой из репозитория x86_32

При отсутствии пакета с необходимой библиотекой(могут быть разноименными),
повесить багу на пакет arepo на ветку p6.
------- Comment #16 From 2011-09-15 14:27:42 -------
Однозначно в i586 hasher chroot, заодно хоть какая-то страховка от этого
решета. http://ftp.altlinux.org/pub/people/ldv/hasher/thesis-2005.html
------- Comment #17 From 2011-10-04 17:37:45 -------
(В ответ на комментарий №15)
> Запустив его установку, потом программу из эмулятора терминала наблюдать, на
> недостаток каких библиотек он ругается, устанавливая `apt-get install
> i586-libпакет` для каждой из репозитория x86_32
> 
> При отсутствии пакета с необходимой библиотекой(могут быть разноименными),
> повесить багу на пакет arepo на ветку p6.
По итогу, мне ещё ни одно нужное приложение не удалось запустить по причине
разношёрстности версий пакетов в x86_32 и x86_64. Как это лечится? Вешать баги?
Да их 100500 будет!
А есть безгеморройный способ самому лепить x86_32 из x86_64 (или из чего там
лепят), не дожидаясь снисхождения мэйнтейнеров?
------- Comment #18 From 2011-10-04 18:36:22 -------
http://www.altlinux.org/arepo?
------- Comment #19 From 2011-10-05 14:25:49 -------
(В ответ на комментарий №18)
> http://www.altlinux.org/arepo?
Ну это статья о том, что есть такой себе arepo. А вот документацию к нему или
хаутушку рабочую я нигде не наблюдаю. Или здесь всё просто — напихал нужных
тебе пакетов в arepo.conf, выполнил $ arepo arepo.conf и получил нужные пакеты?
Сомневаюсь.
А значение "origin:" в arepo.conf — это что, локальное зеркало бранча надо
делать??